<!DOCTYPE html>
<html lang="en" dir="ltr" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
    <meta name="description" content=""/>
    <meta name="author" content=""/>
    <title>Safety Car</title>
    <link rel="icon" type="image/x-icon" th:href="@{/assets/img/favicon.ico}" href="../static/assets/img/favicon.ico"/>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"
            th:src="@{https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js}"></script>

    <script src="https://use.fontawesome.com/releases/v5.13.0/js/all.js" crossorigin="anonymous"></script>
    <link rel="stylesheet" th:href="@{https://fonts.googleapis.com/css?family=Merriweather+Sans:400,700}"/>
    <link rel="stylesheet" type="text/css"
          th:href="@{https://fonts.googleapis.com/css?family=Merriweather:400,300,300italic,400italic,700,700italic}"/>
    <link rel="stylesheet"
          th:href="@{https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/1.1.0/magnific-popup.min.css}"/>
    <link rel="stylesheet" th:href="@{https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css}"/>
    <link rel="stylesheet" th:href="@{/css/my-policies.css}" href="../static/css/my-policies.css"/>
    <link rel="stylesheet" th:href="@{/css/policy-details.css}" href="../static/css/policy-details.css"/>
    <link rel="stylesheet" th:href="@{/css/navigation.css}" href="../static/css/navigation.css">

</head>
<body>
<div th:replace="fragments/navigation-bar.html :: header"></div>

<header class="masthead">
    <div class="container h-100">
        <div class="row h-100 align-items-center justify-content-center text-center">
            <div class="col-lg-10 align-self-end">
                <h1 class="text-uppercase text-white font-weight-bold">Policy Details</h1>
                <hr class="divider my-4"/>
            </div>
            <div class="col-lg-8 align-self-baseline">
                <p class="text-white-75 font-weight-light mb-5"></p>
            </div>
        </div>
    </div>
</header>
<h2 class="text-center mt-5" th:text="'Policy #' + ${policy.id} + '/ saved ' +
${policy.savedDate.toString().replace('.0', '').replace(' ', ' at ')}"></h2>
<form class="m-5 mt-0" th:object="${policy}">
    <div class="row">
        <div class="col-sm-4">
            <h4 class="mb-4 mt-2">Client</h4>
            <div><span class="font-weight-bold">Name: </span>
                <span th:if="${policy.owner.firstName} != null"
                      th:text="${policy.owner.firstName} + ' ' + ${policy.owner.lastName}"></span>
                <span th:unless="${policy.owner.firstName} != null">Not specified</span><br></div>
            <div class="mt-3"><span class="font-weight-bold">Email: </span><span th:text="*{owner.username}"></span><br>
            </div>
            <div class="mt-3"><span class="font-weight-bold mt-4">Phone: </span>
                <span th:text="*{owner.phone}" th:if="${policy.owner.phone} != null"></span>
                <span th:unless="${policy.owner.phone} != null">Not specified</span>
                <br>
            </div>
            <div class="mt-3"><span class="font-weight-bold mt-4">Birth date: </span>
                <span th:text="*{owner.birthDate}"></span><span th:text="' (age: ' + ${ownerAge} + ')'"></span><br>
            </div>
            <div class="mt-3"><span class="font-weight-bold mt-4">Country: </span>
                <span th:if="${policy.owner.address} != null"
                      th:text="${policy.owner.city.district.country.name}"></span>
                <span th:unless="${policy.owner.address} != null">Not specified</span><br>
            </div>
            <div class="mt-3"><span class="font-weight-bold mt-4">City/ town/ village: </span>
                <span th:if="${policy.owner.address} != null"
                      th:text="${policy.owner.city.name} + ' (' + ${policy.owner.city.district.name} + ')'"></span>
                <span th:unless="${policy.owner.address} != null">Not specified</span>
                <br>
            </div>
            <div class="mt-3"><span class="font-weight-bold mt-4">Address: </span>
                <span th:if="${policy.owner.address} != null" th:text="${policy.owner.address}"></span>
                <span th:unless="${policy.owner.address} != null">Not specified</span>
                <br>
            </div>
            <div class="mt-3" th:if="${policy.owner.hasAccident} == true"><span
                    class="font-weight-bold">Prevoius accidents: </span><span>yes</span></div>
            <div class="mt-3" th:unless="${policy.owner.hasAccident} == true"><span
                    class="font-weight-bold">Prevoius accidents: </span><span>no</span></div>
        </div>

        <div class="col-sm-4">
            <h4 class="mb-4 mt-2">Car</h4>
            <div><span class="font-weight-bold">Brand: </span><span
                    th:text="${policy.car.model.brand.name} + ' ' + ${policy.car.model.name}"></span><br></div>
          
            <div class="mt-3"><span class="font-weight-bold mt-4">Cubic capacity: </span><span
                    th:text="*{car.cubicCapacity}"></span><br>
            </div>
            <div class="mt-3"><span class="font-weight-bold mt-4">First registration date: </span>
                <span th:text="*{car.registrationDate.toString()}"></span><span
                        th:text="' (age: ' + ${carAge} + ')'"></span><br></div>
            <div th:if="${policy.status.id > 1}" class="mt-3"><span class="font-weight-bold mt-4">Registration certificate: </span><br>
                <img th:if="${policy.status.id > 1}" class="mt-3 certificate" src="#"
                     th:src="'data:image/' + ${policy.car.registrationCertificateFileType} + ';base64,'+ ${certificate}"
                     alt="certificate">
            </div>
        </div>
        <div class="col-sm-4">
            <h4 class="mb-4 mt-2">Policy</h4>
            <div th:if="${policy.status.id > 1}">
                <span class="font-weight-bold">Requested date: </span><span
                    th:text="*{requestedDate.toString().replace('.0', '').replace(' ', ' at ')}"></span><br></div>
            <div th:if="${policy.status.id > 1}" class="mt-3"><span
                    class="font-weight-bold">Preferred start date: </span><span
                    th:text="*{startDate.toString()}"></span><br></div>
            <div class="mt-3"><span class="font-weight-bold">Status: </span><span
                    th:text="*{status.type.toString().toLowerCase()}"></span><br>
            </div>
            <div class="mt-3"><span class="font-weight-bold mt-4">Premium amount: </span><span
                    th:text="*{premiumAmount}"></span><br>
            </div>
            <div th:if="${policy.agent != null}" sec:authorize="hasRole('ROLE_AGENT')" class="mt-3">
                <span class="font-weight-bold mt-4">Agent: </span>
                <span th:text="${policy.agent.firstName} + ' ' + ${policy.agent.lastName}"></span><br>
            </div>
            <div th:unless="${policy.agent != null}" sec:authorize="hasRole('ROLE_AGENT')" class="mt-3">
                <span class="font-weight-bold mt-4">Agent: </span><br>
            </div>
            <div sec:authorize="hasRole('ROLE_AGENT')" class="row text-center mt-4">
                <form></form>
                <form th:object="${changePolicyStatusDTO}" th:action="@{/agent/requests/status}" method="post">
                    <div class="col-sm-auto m-1 p-0">
                        <input type="hidden" th:name="policyId" th:id="policyId" th:value="${policy.id}">
                        <input type="hidden" th:name="status" th:id="status" th:value="'pending'">
                        <button th:if="${policy.status.type.toString().equalsIgnoreCase('requested')} and ${!policy.owner.username.equals(loggedUsername)}"
                                class="ml-2 btn btn-primary text-white" type="submit">Mark as pending
                        </button>
                        <button th:unless="${policy.status.type.toString().equalsIgnoreCase('requested')}"
                                class="ml-2 btn btn-primary text-white" type="submit" disabled
                                title="The policy is already processed">Mark as pending</button>
                    </div>
                </form>
                <form th:object="${changePolicyStatusDTO}" th:action="@{/agent/requests/status}" method="post">
                    <div class="col-sm-auto m-1 p-0">
                        <input type="hidden" th:name="policyId" th:id="policyId" th:value="${policy.id}">
                        <input type="hidden" th:name="status" th:id="status" th:value="'approved'">
                        <button th:if="${!policy.owner.username.equals(loggedUsername)} and (${policy.status.type.toString().equalsIgnoreCase('pending')} or
                         ${policy.status.type.toString().equalsIgnoreCase('requested')}) "
                                class="btn btn-primary text-white" type="submit">Approve</button>
                        <button th:unless="${policy.status.type.toString().equalsIgnoreCase('pending')} or
                         ${policy.status.type.toString().equalsIgnoreCase('requested')}"
                                class="btn btn-primary text-white" type="submit" disabled
                                title="The policy is already processed">Approve</button>
                    </div>
                </form>
                <form th:object="${changePolicyStatusDTO}" th:action="@{/agent/requests/status}" method="post">
                    <div class="col-sm-auto m-1 p-0">
                        <input type="hidden" th:name="policyId" th:id="policyId" th:value="${policy.id}">
                        <input type="hidden" th:name="status" th:id="status" th:value="'rejected'">
                        <button th:if="(${policy.status.type.toString().equalsIgnoreCase('pending')} or
                        ${policy.status.type.toString().equalsIgnoreCase('requested')}) and ${!policy.owner.username.equals(loggedUsername)}"
                                th:unless="${policy.owner.username.equalsIgnoreCase(name)}"
                                class="btn btn-primary text-white" type="submit">Reject
                        </button>
                        <button th:unless="${policy.status.type.toString().equalsIgnoreCase('pending')} or
                        ${policy.status.type.toString().equalsIgnoreCase('requested')}"
                                class="btn btn-primary text-white" type="submit" disabled
                                title="The policy is already processed">Reject
                        </button>
                    </div>
                </form>

            </div>
        </div>
    </div>
</form>

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.bundle.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-easing/1.4.1/jquery.easing.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/1.1.0/jquery.magnific-popup.min.js"></script>
<script type="text/javascript" th:src="@{/js/scripts.js}" src="../static/js/scripts.js"></script>
</body>
</html>
